# coding: utf-8

import os, sys, json,time,re
from importlib import reload

panelPath = os.getenv('BT_PANEL')
if not panelPath:
    panelPath = "/www/server/panel"

os.chdir(panelPath)
public_dir = panelPath + "/class/public"
class_dir = panelPath + "/class"
if class_dir in sys.path:
    sys.path.remove(public_dir)
    
while public_dir in sys.path:
    sys.path.remove(public_dir)
sys.path.insert(0, public_dir)

from base import *
from rsa import *
from panel import *
from process import *
from sys_services import *
from ssh import *
from mysql import *
from cert import *
from common import *
from files_tools import *
from dict_obj import dict_obj

#判断系统
if os.name == 'nt':
    from win_common import *
    from win_access import *
else:
    from linux_common import *
 